## Apache Zeta Components Manual :: Docs For Class ezcWebdavInvalidHeaderException

### Webdav::ezcWebdavInvalidHeaderException

### Class ezcWebdavInvalidHeaderException

Exception thrown when a request/response object receives an invalid header value.

ezcWebdavRequest::validateHeaders() will throw this exception, if a header, which is essential to the specific request, is not present. ezcWebdavTransport::sendResponse() will throw this exception if a Content-Type or Content-Length header is set in an empty body request.

Source for this file: /Webdav/src/exceptions/invalid_header.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavBadRequestException
                |
                --ezcWebdavInvalidHeaderException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $headerName , $value , [ $expectedValue = null] )` Initializes the exception with the given $headerName, $value (the value of the named header) and $expectedValue and sets the exception message from it.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( string $headerName , string $value , [string $expectedValue = null] )

Initializes the exception with the given $headerName, $value (the value of the named header) and $expectedValue and sets the exception message from it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$headerName` | string | Name of the affected header.
`$value` | string | Contained value.
`$expectedValue` | string | Expected values.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3